# List Quotes Retrieves all quotes. You can also filter the returned data. --- Filter example: Returns only first 10 quotes with workflowStatus = APPROVED and quoteStatus = OFFER. json { "endRow":10, "oldValues": null, "operationType":"fetch", "startRow":0, "textMatchStyle":"exact", "data":{ "_constructor":"AdvancedCriteria", "operator":"and", "criteria":[ { "fieldName":"workflowStatus", "operator":"equals", "value":"APPROVED" }, { "fieldName":"quoteStatus", "operator":"equals", "value":"OFFER" } ] } } --- Required Permission| Roles with the Required Permission | ---------|----------| QUOTE_FETCHFILTERED | Edit LPG & Add Products (PB_PRICEGRIDEDITOR_ADD_SKU), Edit LPG (PB_PRICEGRIDEDITOR), Data Integration (DATAINTEGRATION), View Competition Data (PB_COMPETITION_RO), View Products (PB_PRODUCTS_RO), Administer Price Lists (PB_PRICELISTS), Manage Products (PB_PRODUCTEDITOR), Manage Price Lists (PB_PRICELISTSEDITOR), Administer LPG (PB_PRICEGRIDS), Manage BoM Data (PB_BOM), Administer Products (PB_PRODUCTS), View QuoteConfigurator (PRICESHOP_RO) Manage Product Master (PB_PRODUCTS_ONLY), Investigate for Support (SUPPORT), Administer Plasma (PLASMA), Manage PromotionManager (CM_CONTRACTMANAGER), Edit Quoting (PRICESHOP_EDIT) Administer Rebates (RM_REBATEMANAGER), Administer Quoting (PRICESHOP_QUOTEADMIN), View Product Details (PB_PDETAILSVIEW), Manage Product Details Only (PB_PDETAILSEDITOR), Manage Claims (CLM_CLAIMMANAGER), Manage Product Master Extensions (PB_PXEDITOR), View BoM Data (PB_BOM_RO), Manage Products & Use EC (PB_PRODUCTEDITOR_EC), Manage Competition Data (PB_COMPETITION), Manage QuoteConfigurator (PRICESHOP), View Price Lists (PB_PRICELISTS_RO) Endpoint: POST /quotemanager.fetchlist Security: basic, X-PriceFx-jwt ## Request fields (application/json): - `endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `oldValues` (any) - `operationType` (string) - `startRow` (number) The number of the first row that defines the start of the result set's returned objects. Use this parameter if you want to implement paging for results. - `textMatchStyle` (string) - `data` (object) - `data._constructor` (string) - `data.operator` (string) - `data.criteria` (array) - `data.criteria.fieldName` (string) - `data.criteria.operator` (string) Specify an operator of the filter criteria. Enum: "equals", "iEquals", "notEqual", "iNotEqual", "isNull", "notNull", "contains", "iContains", "containsPattern", "iContainsPattern", "notContains", "iNotContains", "startsWith", "iStartsWith", "notStartsWith", "iNotStartsWith", "endsWith", "iEndsWith", "notEndsWith", "iNotEndsWith", "iBetween", "iBetweenInclusive", "inSet", "notInSet" - `data.criteria.value` (string) ## Response 200 fields (application/json): - `response` (object) - `response.node` (string) - `response.startRow` (number) - `response.data` (array, required) - `response.data.version` (number) - `response.data.typedId` (string) - `response.data.uniqueName` (string) - `response.data.label` (string) - `response.data.targetDate` (string) - `response.data.workflowStatus` (string) - `response.data.lastUpdateByName` (string) - `response.data.createdByName` (string) - `response.data.submittedByName` (string) - `response.data.calculationStatus` (number) - `response.data.dirty` (boolean) - `response.data.refreshInputs` (boolean) - `response.data.numberOfAttachments` (number) - `response.data.expiryDate` (string) - `response.data.quoteStatus` (string) - `response.data.hasWorkflowHistory` (boolean) - `response.data.approvedByName` (string) - `response.data.createDate` (string) - `response.data.createdBy` (number) - `response.data.lastUpdateDate` (string) - `response.data.lastUpdateBy` (number) - `response.data.prevRev` (string) - `response.data.rootUniqueName` (string) - `response.data.quoteType` (string) - `response.data.status` (string) - `response.endRow` (number) The number of the end row that defines the end of the result set's returned objects. Use this parameter if you want to implement paging for results. - `response.totalRows` (number)